Package org.opensaml.xacml.profile.saml.impl

# Class XACMLPolicyQueryTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml2.core.impl.RequestAbstractTypeImpl
org.opensaml.xacml.profile.saml.impl.XACMLPolicyQueryTypeImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `RequestAbstractType`, `XACMLPolicyQueryType`, `XACMLObject`, `SignableXMLObject`

public class XACMLPolicyQueryTypeImpl extends RequestAbstractTypeImpl implements XACMLPolicyQueryType
Concrete implementation of `XACMLPolicyQueryType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private IndexedXMLObjectChildrenList<XACMLObject>`
`choiceGroup`
Choice group for the element.

### Fields inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`CONSENT_ATTRIB_NAME, DESTINATION_ATTRIB_NAME, EXPLICIT_CONSENT, ID_ATTRIB_NAME, IMPLICIT_CONSENT, INAPPLICABLE_CONSENT, ISSUE_INSTANT_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_QNAME, OBTAINED_CONSENT, PRIOR_CONSENT, TYPE_LOCAL_NAME, TYPE_NAME, UNAVAILABLE_CONSENT, UNSPECIFIED_CONSENT, VERSION_ATTRIB_NAME`

### Fields inherited from interface org.opensaml.xacml.profile.saml.XACMLPolicyQueryType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME_XACML10, DEFAULT_ELEMENT_NAME_XACML11, DEFAULT_ELEMENT_NAME_XACML20, DEFAULT_ELEMENT_NAME_XACML30, TYPE_LOCAL_NAME, TYPE_NAME_XACML10, TYPE_NAME_XACML11, TYPE_NAME_XACML20, TYPE_NAME_XACML30`

## Constructor Summary

Constructors
Constructor
Description
`XACMLPolicyQueryTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<IdReferenceType>`
`getPolicyIdReferences()`
Gets the IDs for referenced policies.
`List<IdReferenceType>`
`getPolicySetIdReferences()`
Gets the IDs for referenced policy sets.
`List<RequestType>`
`getRequests()`
Gets the Requests inside the policy query.

### Methods inherited from class org.opensaml.saml.saml2.core.impl.RequestAbstractTypeImpl

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignatureReferenceID, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### choiceGroup

private IndexedXMLObjectChildrenList<XACMLObject> choiceGroup
Choice group for the element.

## Constructor Details

### XACMLPolicyQueryTypeImpl

public XACMLPolicyQueryTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getRequests

public List<RequestType> getRequests()
Gets the Requests inside the policy query.

Specified by:
  `getRequests` in interface `XACMLPolicyQueryType`
Returns:
  the XACML Request

### getPolicySetIdReferences

public List<IdReferenceType> getPolicySetIdReferences()
Gets the IDs for referenced policy sets.

Specified by:
  `getPolicySetIdReferences` in interface `XACMLPolicyQueryType`
Returns:
  IDs for referenced policy sets

### getPolicyIdReferences

public List<IdReferenceType> getPolicyIdReferences()
Gets the IDs for referenced policies.

Specified by:
  `getPolicyIdReferences` in interface `XACMLPolicyQueryType`
Returns:
  IDs for referenced policies

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `RequestAbstractTypeImpl`
Returns:
  ordered list of child elements